summaryrefslogtreecommitdiff
path: root/lib/ldb
diff options
context:
space:
mode:
authorMatthieu Patou <mat@matws.net>2012-12-29 16:42:28 -0800
committerAndrew Bartlett <abartlet@samba.org>2013-02-08 15:06:36 +1100
commit87cbd9414bab2f0a71d71b2c145c11ee71acd573 (patch)
tree92a1fa57235340cc9ee3503851d6995423773c84 /lib/ldb
parent75f422fe1df7dd04aa46d5c77cbeb43d101c3ad6 (diff)
downloadsamba-87cbd9414bab2f0a71d71b2c145c11ee71acd573.tar.gz
samba-87cbd9414bab2f0a71d71b2c145c11ee71acd573.tar.bz2
samba-87cbd9414bab2f0a71d71b2c145c11ee71acd573.zip
ldb: make test output more readable
Reviewed-by: Andrew Bartlett <abartlet@samba.org>
Diffstat (limited to 'lib/ldb')
-rwxr-xr-xlib/ldb/tests/test-controls.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/lib/ldb/tests/test-controls.sh b/lib/ldb/tests/test-controls.sh
index 771085ec60..328ed29d08 100755
--- a/lib/ldb/tests/test-controls.sh
+++ b/lib/ldb/tests/test-controls.sh
@@ -27,13 +27,13 @@ EOF
$VALGRIND ldbsearch "(touchedBy=sample)" | grep "touchedBy: sample" || exit 1
# This action are expected to fails because the sample module return an error when presented the relax control
-cat <<EOF | $VALGRIND ldbadd --controls "relax:0" && exit 1
+cat <<EOF | $VALGRIND ldbadd --controls "relax:0" >/dev/null 2>&1 && exit 1
dn: dc=foobar
dc: foobar
someThing: someThingElse
EOF
-cat <<EOF | $VALGRIND ldbmodify --controls "relax:0" && exit 1
+cat <<EOF | $VALGRIND ldbmodify --controls "relax:0" >/dev/null 2>&1 && exit 1
dn: dc=bar
changetype: modify
replace someThing
@@ -41,5 +41,3 @@ someThing: someThingElseBetter
EOF
$VALGRIND ldbsearch --controls "bypassoperational:0" >/dev/null 2>&1 || exit 1
-
-set